%define name xmms-libvisual
%define version 0.1.6
%define release 1mdk
%define oname libvisual-xmms

Summary: Use visualisation plugins based on libvisual in XMMS
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://prdownloads.sourceforge.net/libvisual/%{oname}-%{version}.tar.bz2
License: GPL
Group: Sound
Url: http://libvisual.sf.net
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: libvisual-devel >= %version
BuildRequires: xmms-devel
BuildRequires: libMesaGLU-devel
BuildRequires: SDL-devel
Requires: xmms
Requires: libvisual-plugins >= %version

%description
Libvisual is an xmms plugin for the libvisual audio visualisation
framework.

%prep
%setup -q -n %oname-%version

%build
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std
rm -f %buildroot%_libdir/xmms/Visualization/*.la
%find_lang libvisual-xmms

%clean
rm -rf $RPM_BUILD_ROOT

%files -f libvisual-xmms.lang
%defattr(-,root,root)
%doc AUTHORS ChangeLog NEWS README TODO
%_libdir/xmms/Visualization/*.so
%_datadir/libvisual-xmms/

%changelog
* Mon Sep 13 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.1.6-1mdk
- add new files
- requires new libvisual
- New release 0.1.6

* Thu Jul  1 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.1.5-1mdk
- initial package
